## pyside2 5.15.17

=== sources/pyside2/PySide2/QtTextToSpeech/CMakeLists.txt ===
project(QtTextToSpeech)

set(QtTextToSpeech_SRC
${QtTextToSpeech_GEN_DIR}/qtexttospeech_wrapper.cpp
${QtTextToSpeech_GEN_DIR}/qtexttospeechengine_wrapper.cpp
${QtTextToSpeech_GEN_DIR}/qvoice_wrapper.cpp
# module is always needed
${QtTextToSpeech_GEN_DIR}/qttexttospeech_module_wrapper.cpp
)

set(QtTextToSpeech_include_dirs ${QtTextToSpeech_SOURCE_DIR}
                                ${QtTextToSpeech_BINARY_DIR}
                                ${Qt${QT_MAJOR_VERSION}Core_INCLUDE_DIRS}
                                ${Qt${QT_MAJOR_VERSION}TextToSpeech_INCLUDE_DIRS}
                                ${libpyside_SOURCE_DIR}
                                ${QtCore_GEN_DIR})

set(QtTextToSpeech_libraries    pyside2
                                ${Qt${QT_MAJOR_VERSION}Multimedia_LIBRARIES}
                                ${Qt${QT_MAJOR_VERSION}TextToSpeech_LIBRARIES}
                                ${Qt${QT_MAJOR_VERSION}Core_LIBRARIES})

set(QtTextToSpeech_deps QtCore QtMultimedia)

create_pyside_module(NAME QtTextToSpeech
                     INCLUDE_DIRS QtTextToSpeech_include_dirs
                     LIBRARIES QtTextToSpeech_libraries
                     DEPS QtTextToSpeech_deps
                     TYPESYSTEM_PATH QtTextToSpeech_SOURCE_DIR
                     SOURCES QtTextToSpeech_SRC)

=== debian/changelog ===
pyside2 (5.15.17-0zneon+24.04+noble+stable+build6) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 30 Aug 2025 23:27:18 +0000

pyside2 (5.15.17-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 29 Aug 2025 11:35:40 +1000

pyside2 (5.15.16-1) noble; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop patches, included in the new release:
    - shiboken2-Fix-build-with-clang-16.patch
    - shiboken2-Fail-template-test-instead-of-crashing.patch
  * Refresh and rebase other patches.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 25 Jun 2024 23:47:03 +0300

=== debian/control ===
Source: pyside2
Section: python
Priority: optional
Uploaders: Kurt Kremitzki <kkremitzki@debian.org>
Build-Depends: chrpath,
               cmake (>= 3.1),
               debhelper-compat (= 13),
               dh-python,
               dpkg-dev (>= 1.22.5),
               g++-12,
               gcc-12,
               graphviz,
               libclang-dev,
               libqt5charts5-dev (>= 5.15),
               libqt5datavisualization5-dev (>= 5.15),
               libqt5opengl5-dev (>= 5.15),
               libqt5remoteobjects5-dev (>= 5.15),
               libqt5scxml5-bin (>= 5.15),
               libqt5scxml5-dev (>= 5.15),
               libqt5sensors5-dev (>= 5.15),
               libqt5serialport5-dev (>= 5.15),
               libqt5svg5-dev (>= 5.15),
               libqt5texttospeech5-dev (>= 5.15),
               libqt5webchannel5-dev (>= 5.15),
               libqt5webkit5-dev (>= 5.15),
               libqt5websockets5-dev (>= 5.15),
               libqt5x11extras5-dev (>= 5.15),
               libqt5xmlpatterns5-dev (>= 5.15),
               libxml2-dev,
               libxslt1-dev,
               llvm-15-dev,
               llvm-dev,
               patchelf,
               pybuild-plugin-pyproject,
               python3-build,
               python3-dev,
               python3-distro,
               python3-setuptools,
               python3-setuptools-scm,
               python3-setuptools-whl,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-wheel,
               qml-module-qtquick-controls2 (>= 5.15),
               qml-module-qtquick-layouts (>= 5.15),
               qml-module-qtquick2 (>= 5.15),
               qt3d-assimpsceneimport-plugin (>= 5.15),
               qt3d-defaultgeometryloader-plugin (>= 5.15),
               qt3d-gltfsceneio-plugin (>= 5.15),
               qt3d-scene2d-plugin (>= 5.15),
               qt3d5-dev (>= 5.15),
               qt5-qmake (>= 5.15),
               qt5-qmake-bin (>= 5.15),
               qtbase5-dev (>= 5.15),
               qtbase5-private-dev (>= 5.15),
               qtchooser,
               qtdeclarative5-dev (>= 5.15),
               qtdeclarative5-private-dev (>= 5.15),
               qtlocation5-dev (>= 5.15),
               qtmultimedia5-dev (>= 5.15),
               qtpositioning5-dev (>= 5.15),
               qtquickcontrols2-5-dev (>= 5.15),
               qtscript5-dev (>= 5.15),
               qttools5-dev (>= 5.15),
               qtwebengine5-dev (>= 5.15) [amd64 arm64 armhf i386 mips64el],
               xauth,
               xvfb
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://wiki.qt.io/Qt_for_Python
Vcs-Git: https://invent.kde.org/neon/qt/pyside2.git
Vcs-Browser: https://invent.kde.org/neon/qt/pyside2
Maintainer: Neon CI <neon@kde.org>

Package: python-pyside2-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: Python bindings for Qt5 (common documentation)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the common documentation package.

Package: libpyside2-py3-5.15t64
Breaks: libpyside2-py3-5.15 (<< ${source:Version})
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Conflicts: libpyside2-py3-5.11, libpyside2-py3-5.13, libpyside2-py3-5.14
Replaces: libpyside2-py3-5.11,
          libpyside2-py3-5.13,
          libpyside2-py3-5.14,
          libpyside2-py3-5.15
Provides: libpyside2-py3, ${t64:Provides}
Description: Python 3 bindings for Qt5 (base files)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python3 base file used by all modules.

Package: libpyside2-dev
Section: libdevel
Architecture: any
Depends: libpyside2-py3-5.15t64 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python bindings for Qt5 (development files)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides the development headers for the libpyside2 library.

Package: python3-pyside2.qtcore
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Suggests: python-pyside2-doc
Description: Python bindings for Qt5 core module (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the QtCore module.

Package: shiboken2
Section: devel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: CPython bindings generator for C++ libraries
 Shiboken2 is a bindings generator for C++ libraries that outputs CPython
 source code. It collects information from library headers, and then
 merges modifications and handwritten code defined in the typesystem
 description.
 .
 Shiboken2 is the binding generator used to create the PySide2 bindings.

Package: libshiboken2-py3-5.15t64
Breaks: libshiboken2-py3-5.15 (<< ${source:Version})
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Conflicts: libshiboken2-py3-5.11, libshiboken2-py3-5.13, libshiboken2-py3-5.14
Replaces: libshiboken2-py3-5.11,
          libshiboken2-py3-5.13,
          libshiboken2-py3-5.14,
          libshiboken2-py3-5.15
Provides: libshiboken2-py3, ${t64:Provides}
Description: CPython bindings generator for C++ libraries (Python3 shared library)
 Shiboken2 is a bindings generator for C++ libraries that outputs CPython
 source code. It collects information from library headers, and then
 merges modifications and handwritten code defined in the typesystem
 description.
 .
 Shiboken2 is the binding generator used to create the PySide2 bindings.
 .
 This package contains the shared Python 3 library used by shiboken2.

Package: libshiboken2-dev
Section: libdevel
Architecture: any
Depends: libshiboken2-py3-5.15t64 (= ${binary:Version}),
         python3-dev,
         shiboken2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: CPython bindings generator for C++ libraries (development files)
 Shiboken2 is a bindings generator for C++ libraries that outputs CPython
 source code. It collects information from library headers, and then
 merges modifications and handwritten code defined in the typesystem
 description.
 .
 Shiboken2 is the binding generator used to create the PySide2 bindings.
 .
 This package provides the development headers for the libshiboken2 library.

Package: shiboken2-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: CPython bindings generator for C++ libraries (common documentation)
 Shiboken2 is a bindings generator for C++ libraries that outputs CPython
 source code. It collects information from library headers, and then
 merges modifications and handwritten code defined in the typesystem
 description.
 .
 Shiboken2 is the binding generator used to create the PySide2 bindings.
 .
 This package contains the common documentation.

Package: pyside2-tools
Architecture: any
Depends: python3-pyside2.qtcore,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: development tools for PySide2 (lupdate)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 PySide2 ships Python bindings for the Qt5 framework. This package ships
 the following accompanying tools:
  * pyside2-lupdate - update Qt Linguist translation files for PySide

Package: python3-pyside2.qtwidgets
Architecture: any
Depends: python3-pyside2.qtcore,
         python3-pyside2.qtgui,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python bindings for Qt5 Widgets module (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the QtWidgets module.

Package: python3-pyside2.qt3drender
Architecture: any
Depends: python3-pyside2.qt3dcore,
         python3-pyside2.qtcore,
         python3-pyside2.qtgui,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python bindings for Qt5 3DRender module (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the Qt3DRender module.

Package: python3-pyside2.qtquick
Architecture: any
Depends: python3-pyside2.qtcore,
         python3-pyside2.qtgui,
         python3-pyside2.qtnetwork,
         python3-pyside2.qtqml,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python bindings for Qt5 Quick module (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the QtQuick module.

Package: python3-pyside2.qtquickcontrols2
Architecture: any
Depends: python3-pyside2.qtquick,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python bindings for Qt5 QuickControls2 (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the QtQuickControls2 module.

Package: python3-pyside2.qtpositioning
Architecture: any
Depends: python3-pyside2.qtcore,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python bindings for Qt5 Positioning module (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the QtPositioning module.

Package: python3-pyside2.qtremoteobjects
Architecture: any
Depends: python3-pyside2.qtcore,
         python3-pyside2.qtnetwork,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python bindings for Qt5 RemoteObjects (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the QtRemoteObjects module.

Package: python3-pyside2.qtx11extras
Architecture: any
Depends: python3-pyside2.qtcore,
         python3-pyside2.qtgui,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python bindings for Qt5 X11Extras module (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the QtX11Extras module.

Package: python3-pyside2.qtqml

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

export CC=gcc-12
export CXX=g++-12

# Safety measure to ensure package names match SONAMEs
PYSIDE_MAJOR := $(shell echo $(DEB_VERSION_UPSTREAM) | cut -d. -f1-2)
ifeq ($(shell awk '/Package:/ {print $$2}' debian/control | grep -- '-$(PYSIDE_MAJOR)\(t64\)\?$$'),)
    $(error Please update package names for major version $(PYSIDE_MAJOR))
endif
ifeq ($(shell ls debian/lib* | grep -- -$(PYSIDE_MAJOR)),)
    $(error Please update files debian/lib*.* for major version $(PYSIDE_MAJOR))
endif
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    OPTION_JOBS = --parallel=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

export PYBUILD_NAME=pyside2
export PYBUILD_SYSTEM=distutils
export PYBUILD_BUILD_ARGS=--relwithdebinfo --verbose-build --no-examples --build-tests --doc-build-online --ignore-git $(OPTION_JOBS)

export MAIN_VERSION_UPSTREAM := $(shell echo $(DEB_VERSION_UPSTREAM))
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
# Add CPPFLAGS to CXXFLAGS as CMake ignores CPPFLAGS by default
CXXFLAGS+=$(CPPFLAGS)

# Work around buildd bug (https://bugs.debian.org/842565)
undefine XDG_RUNTIME_DIR

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_install:
	# Don't use pybuild install process, we take over this step to
	# split files in the way we want it. But we echo the list of files
	# built to make it easier to update *.install files.
	echo ">>> In pyside*_{package,install}"
	-find pyside*_install pyside*_build

override_dh_makeshlibs:
	dh_makeshlibs -VUpstream-Version

override_dh_install-indep:
	dh_install -X.doctrees

override_dh_install-arch:
	dh_install
	# remove RUNPATH setup in shiboken2
	chrpath -d debian/shiboken2/usr/bin/shiboken2
	# change the library path in pkg-info/*.pc and in *.cmake files:
	# during the build the path is setup to the build dir
	# /build/pyside2* (required to find lib during the build) but it's
	# not what we need
	debian/set-paths

override_dh_auto_test:
ifeq (mips64el,$(DEB_HOST_ARCH))
	# See https://bugs.debian.org/868745, https://bugs.debian.org/1061679
	-QSG_NO_DEPTH_BUFFER=1 xvfb-run -a dh_auto_test -- --system=custom \
		--test-args '{interpreter} testrunner.py test'
else
	xvfb-run -a dh_auto_test -- --system=custom \
		--test-args '{interpreter} testrunner.py test'
endif

## pyside2 5.15.18

=== debian/changelog ===
pyside2 (5.15.18-1+rpi1) forky-staging; urgency=medium

  [changes brought forward from 5.11.2-1+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sun, 23 Dec 2018 23:25:45 +0000]
  * Remove armhf from qtwebengine architecture lists.
  * Fix clean target.

  [changes introduced in 5.13.2-3+rpi1 by Peter Michael Green]
  * Disable testsuite.

  [changes brought forward from 5.15.2-2+rpi2 by Peter Michael Green <plugwash@raspbian.org> at Sat, 05 Feb 2022 15:09:17 +0000]
  * Add build-conflicts on libshiboken2-dev
  * Improve replacement rules for paths
    (still not ideal)

 -- Raspbian forward porter <root@raspbian.org>  Tue, 27 Jan 2026 01:57:47 +0000

pyside2 (5.15.18-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop ea351c5d53e34d3d1daf71de5eb73ba6e03e552a.patch, not needed.
  * Give the other new patch a meaningful name.
  * Update minimum CMake version in more files (closes: #1125655).
  * Add a patch to fix finding tests on new cmake versions.
  * Drop Priority and Rules-Requires-Root fields, they are default now.
  * Bump Standards-Version to 4.7.3, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 21 Jan 2026 00:26:54 +0300

=== debian/control ===
Source: pyside2
Section: python
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Kurt Kremitzki <kkremitzki@debian.org>
Build-Depends: chrpath,
               cmake (>= 3.1),
               debhelper-compat (= 13),
               dh-python,
               dpkg-dev (>= 1.22.5),
               graphviz,
               libclang-dev,
               libqt5opengl5-dev (>= 5.15),
               libqt5svg5-dev (>= 5.15),
               libqt5webchannel5-dev (>= 5.15),
               libqt5websockets5-dev (>= 5.15),
               libqt5xmlpatterns5-dev (>= 5.15),
               libxml2-dev,
               libxslt1-dev,
               llvm-dev,
               python3-dev,
               python3-distro,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-wheel,
               qml-module-qtquick-controls2 (>= 5.15),
               qml-module-qtquick-layouts (>= 5.15),
               qml-module-qtquick2 (>= 5.15),
               qt5-qmake (>= 5.15),
               qt5-qmake-bin (>= 5.15),
               qtbase5-dev (>= 5.15),
               qtbase5-private-dev (>= 5.15),
               qtchooser,
               qtdeclarative5-dev (>= 5.15),
               qtdeclarative5-private-dev (>= 5.15),
               qtmultimedia5-dev (>= 5.15),
               qttools5-dev (>= 5.15),
               qtwebengine5-dev (>= 5.15) [amd64 arm64 i386 mips64el],
               xvfb,
               xauth
Build-Conflicts:
               libshiboken2-dev
Standards-Version: 4.7.3
Homepage: https://wiki.qt.io/Qt_for_Python
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/pyside2.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/pyside2

Package: python-pyside2-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: Python bindings for Qt5 (common documentation)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the common documentation package.

Package: libpyside2-py3-5.15t64
Breaks: libpyside2-py3-5.15 (<< ${source:Version})
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Conflicts: libpyside2-py3-5.11, libpyside2-py3-5.13, libpyside2-py3-5.14
Replaces: libpyside2-py3-5.15, libpyside2-py3-5.11, libpyside2-py3-5.13, libpyside2-py3-5.14
Provides: ${t64:Provides}, libpyside2-py3
Description: Python 3 bindings for Qt5 (base files)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python3 base file used by all modules.

Package: libpyside2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libpyside2-py3-5.15t64 (= ${binary:Version})
Description: Python bindings for Qt5 (development files)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides the development headers for the libpyside2 library.

Package: python3-pyside2.qtcore
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Suggests: python-pyside2-doc
Description: Python bindings for Qt5 core module (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the QtCore module.

Package: shiboken2
Section: devel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: CPython bindings generator for C++ libraries
 Shiboken2 is a bindings generator for C++ libraries that outputs CPython
 source code. It collects information from library headers, and then
 merges modifications and handwritten code defined in the typesystem
 description.
 .
 Shiboken2 is the binding generator used to create the PySide2 bindings.

Package: libshiboken2-py3-5.15t64
Breaks: libshiboken2-py3-5.15 (<< ${source:Version})
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Conflicts: libshiboken2-py3-5.11, libshiboken2-py3-5.13, libshiboken2-py3-5.14
Replaces: libshiboken2-py3-5.15, libshiboken2-py3-5.11, libshiboken2-py3-5.13, libshiboken2-py3-5.14
Provides: ${t64:Provides}, libshiboken2-py3
Description: CPython bindings generator for C++ libraries (Python3 shared library)
 Shiboken2 is a bindings generator for C++ libraries that outputs CPython
 source code. It collects information from library headers, and then
 merges modifications and handwritten code defined in the typesystem
 description.
 .
 Shiboken2 is the binding generator used to create the PySide2 bindings.
 .
 This package contains the shared Python 3 library used by shiboken2.

Package: libshiboken2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 libshiboken2-py3-5.15t64 (= ${binary:Version}), shiboken2 (= ${binary:Version}), python3-dev
Description: CPython bindings generator for C++ libraries (development files)
 Shiboken2 is a bindings generator for C++ libraries that outputs CPython
 source code. It collects information from library headers, and then
 merges modifications and handwritten code defined in the typesystem
 description.
 .
 Shiboken2 is the binding generator used to create the PySide2 bindings.
 .
 This package provides the development headers for the libshiboken2 library.

Package: shiboken2-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: CPython bindings generator for C++ libraries (common documentation)
 Shiboken2 is a bindings generator for C++ libraries that outputs CPython
 source code. It collects information from library headers, and then
 merges modifications and handwritten code defined in the typesystem
 description.
 .
 Shiboken2 is the binding generator used to create the PySide2 bindings.
 .
 This package contains the common documentation.

Package: pyside2-tools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}, python3-pyside2.qtcore
Description: development tools for PySide2 (lupdate)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 PySide2 ships Python bindings for the Qt5 framework. This package ships
 the following accompanying tools:
  * pyside2-lupdate - update Qt Linguist translation files for PySide

Package: python3-pyside2.qtwidgets
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
 python3-pyside2.qtcore, python3-pyside2.qtgui
Description: Python bindings for Qt5 Widgets module (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the QtWidgets module.

Package: python3-pyside2.qtquick
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
 python3-pyside2.qtcore, python3-pyside2.qtnetwork, python3-pyside2.qtqml,
 python3-pyside2.qtgui
Description: Python bindings for Qt5 Quick module (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the QtQuick module.

Package: python3-pyside2.qtqml
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
 python3-pyside2.qtcore, python3-pyside2.qtgui, python3-pyside2.qtnetwork
Description: Python bindings for Qt5 Qml module (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the QtQml module.

Package: python3-pyside2.qtwebenginecore
Architecture: amd64 arm64 i386 mips64el
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
 python3-pyside2.qtcore, python3-pyside2.qtnetwork
Description: Python bindings for Qt5 WebEngineCore module (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the QtWebEngineCore module.

Package: python3-pyside2.qthelp
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
 python3-pyside2.qtwidgets, python3-pyside2.qtcore, python3-pyside2.qtgui
Description: Python bindings for Qt5 Help module (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the QtHelp module.

Package: python3-pyside2.qtnetwork
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
 python3-pyside2.qtcore
Description: Python bindings for Qt5 Network module (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the QtNetwork module.

Package: python3-pyside2.qtmultimediawidgets
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
 python3-pyside2.qtcore, python3-pyside2.qtgui, python3-pyside2.qtnetwork,
 python3-pyside2.qtwidgets, python3-pyside2.qtmultimedia
Description: Python bindings for Qt5 MultimediaWidgets module (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the QtMultimediaWidgets module.

Package: python3-pyside2.qtmultimedia
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
 python3-pyside2.qtcore, python3-pyside2.qtgui, python3-pyside2.qtnetwork
Description: Python bindings for Qt5 Multimedia module (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the QtMultimedia module.

Package: python3-pyside2.qtwebchannel
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
 python3-pyside2.qtcore
Description: Python bindings for Qt5 WebChannel module (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the QtWebChannel module.

Package: python3-pyside2.qtprintsupport
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
 python3-pyside2.qtwidgets, python3-pyside2.qtcore, python3-pyside2.qtgui
Description: Python bindings for Qt5 PrintSupport module (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,6 @@
 #!/usr/bin/make -f
-# Uncomment this to turn on verbose mode.
-export DH_VERBOSE=1
 
 include /usr/share/dpkg/default.mk
-
-export CC=gcc-12
-export CXX=g++-12
 
 # Safety measure to ensure package names match SONAMEs
 PYSIDE_MAJOR := $(shell echo $(DEB_VERSION_UPSTREAM) | cut -d. -f1-2)
@@ -57,12 +52,19 @@
 	# not what we need
 	debian/set-paths
 
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf pyside_package pyside?_build pyside?_install
+	rm -f sources/pyside2/doc/qtmodules/*.qdocconf sources/pyside2/doc/pyside-config.qdocconf sources/pyside2/doc/pyside.qdocconf.in
+	find . -name *.qdoconf -delete
+	rm -f build_history/*/build_dir.txt
+
 override_dh_auto_test:
 ifeq (mips64el,$(DEB_HOST_ARCH))
 	# See https://bugs.debian.org/868745, https://bugs.debian.org/1061679
-	-QSG_NO_DEPTH_BUFFER=1 xvfb-run -a dh_auto_test -- --system=custom \
-		--test-args '{interpreter} testrunner.py test'
+	#-QSG_NO_DEPTH_BUFFER=1 xvfb-run -a dh_auto_test -- --system=custom \
+	#	--test-args '{interpreter} testrunner.py test'
 else
-	xvfb-run -a dh_auto_test -- --system=custom \
-		--test-args '{interpreter} testrunner.py test'
+	#xvfb-run -a dh_auto_test -- --system=custom \
+	#	--test-args '{interpreter} testrunner.py test'
 endif
